Bug Hunting Session
Bug 103025 - variable-get fields in header/footer not expanded with current value of variable-set fields
Summary: variable-get fields in header/footer not expanded with current value of varia...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.4 rc
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.3.0 target:5.2.3 target:5.1....
Keywords: regression
Depends on:
Blocks: 82097
  Show dependency treegraph
 
Reported: 2016-10-05 21:36 UTC by Michael Stahl (CIB)
Modified: 2016-10-18 10:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (CIB) 2016-10-05 21:36:36 UTC
Description:
the 3rd problem in bug 82097 is caused by this commit in LO 5.0:

commit 901e5c3a21a1299d10c44bc844246fe8c329bb82
Author:     Noel Grandin <noel@peralex.com>
AuthorDate: Fri Jan 9 10:04:38 2015 +0200

    fdo#84938: convert FRMTYPE_ #defines to 'enum class'
    
    and consequently fix bug in SwPageFrm::PreparePage where it was
    comparing against the wrong #define's
   
as it turns out the change in SwPageFrm::PreparePage resurrected
some dead code that now formats the fields "too early" so
they get the wrong values, all the fields expand to "2004-01"
even though page 3 and page 4 update the value with variable-set fields.


Steps to Reproduce:
1. use LO version 4.1 or older unaffected by bug 82097
2. open database from bug 82097
3. open report "origine"


Actual Results:  
all the fields expand to "2004-01"

Expected Results:
even though page 3 and page 4 update the value with variable-set fields.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Michael Stahl (CIB) 2016-10-05 21:54:21 UTC
fixed on master
Comment 2 Commit Notification 2016-10-05 21:55:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f933da55797566cf725e35ab0df17e91c7d5598f

tdf#103025 sw: don't format header/footer in SwPageFrame::PreparePage()

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-10-06 14:49:21 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e439bda5c7cca535b10dd2cd9faad48049d2bb22&h=libreoffice-5-2

tdf#103025 sw: don't format header/footer in SwPageFrame::PreparePage()

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-10-06 14:50:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63ba0dc9e12169e9a929231a01172c85fab2f628&h=libreoffice-5-1

tdf#103025 sw: don't format header/footer in SwPageFrame::PreparePage()

It will be available in 5.1.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-10-18 10:42:43 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9107b719fcaf1a7ecf89e3964e670de782b07f82&h=libreoffice-5-1-6

tdf#103025 sw: don't format header/footer in SwPageFrame::PreparePage()

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.